package CRSDK;

@SuppressWarnings("unused")
public enum CrFocusFrameState {
    CrFocusFrameState_Unknown (0x0000),
    CrFocusFrameState_NotFocused (0x0001),
    CrFocusFrameState_Focused (CrFocusFrameState_NotFocused.getValue()+1),
    CrFocusFrameState_FocusFrameSelection (CrFocusFrameState_NotFocused.getValue()+2),
    CrFocusFrameState_Moving (CrFocusFrameState_NotFocused.getValue()+3),
    CrFocusFrameState_RegistrationAF (0x0006),
    CrFocusFrameState_Island (CrFocusFrameState_RegistrationAF.getValue()+1);

    private final CrInt16u value;
    CrFocusFrameState(int value) {
        this.value = new CrInt16u(value);
    }
    public int getValue() {
        return value.intValue();
    }
}
